﻿# Eine neuen Cloudservice anlegen
$CloudService = New-AzureService -ServiceName PSHDemo -Location 'West Europe' -Label 'PSHDemo'

# http://azure.microsoft.com/en-us/documentation/articles/storage-create-storage-account/

# Einen neuen Storageaccount anlegen
$Storageaccount = New-AzureStorageAccount -StorageAccountName configdata -Location 'West Europe' -Type Standard_LRS -Description 'Configuration'
<#Types:
-- Standard_LRS
-- Standard_ZRS
-- Standard_GRS
-- Standard_RAGRS #>

$StorageKey = Get-AzureStorageKey -StorageAccountName configdata
New-AzureStorageContext -StorageAccountName $Storageaccount.StorageAccountName -StorageAccountKey $StorageKey


# Kopieren einer Datei in einen Storage-Account und anhängen an eine VM
$sourceVHD = "D:\StorageDemos\myvhd.vhd"
$destinationVHD = "https://mwwestus1.blob.core.windows.net/uploads/myvhd.vhd"
 
# Eine Datei in den Storage-Account hochladen
# Add-Azurevhd und Save-AzureVHD laden nur die genutzen Datenblöcke hoch!
Add-AzureVhd -LocalFilePath $sourceVHD -Destination $destinationVHD -NumberOfUploaderThreads 5

# Die Datendatei  
Add-AzureDisk -DiskName 'mydatadisk' -MediaLocation $destinationVHD -Label 'mydatadisk'

# Register as OS-Disk
Add-AzureDisk -DiskName 'myosdisk' -MediaLocation $destinationVHD -Label 'myosdisk' -OS Windows # or Linux

## Download Disk 
$sourceVHD = "https://mwwestus1.blob.core.windows.net/uploads/mydatadisk.vhd"
$destinationVHD = "D:\StorageDemos\mydatadisk-downloaded.vhd"
 
Save-AzureVhd -Source $sourceVHD -LocalFilePath $destinationVHD `
             -NumberOfThreads 5
